LIMACTL(1)

NAME
limactl-edit - Edit an instance of Lima or a template

SYNOPSIS
limactl edit INSTANCE|FILE.yaml [flags]

DESCRIPTION
Edit an instance of Lima or a template

OPTIONS
--cpus=0
    Number of CPUs

--disk=0
    Disk size in GiB

--dns=[]
    Specify custom DNS (disable host resolver)

-h, --help[=false]
    help for edit

--memory=0
    Memory in GiB

--mount=[]
    Directories to mount, suffix ':w' for writable (Do not specify directories that overlap with the existing mounts)

--mount-inotify[=false]
    Enable inotify for mounts

--mount-none[=false]
    Remove all mounts

--mount-type=""
    Mount type (reverse-sshfs, 9p, virtiofs)

--mount-writable[=false]
    Make all mounts writable

--network=[]
    Additional networks, e.g., "vzNAT" or "lima:shared" to assign vmnet IP

--rosetta[=false]
    Enable Rosetta (for vz instances)

--set=""
    Modify the template inplace, using yq syntax

--video[=false]
    Enable video output (has negative performance impact for QEMU)

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    Debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

-y, --yes[=false]
    Alias of --tty=false

SEE ALSO
limactl(1)